Subject: Re: [PATCH v6 1/4] last-modified: new subcommand to show when files were last modified

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 1 Aug 2025 12:22:54 +0200

On Fri, Aug 01, 2025 at 12:18:39PM +0200, Christian Couder wrote:
> On Wed, Jul 30, 2025 at 7:55 PM Toon Claes <[email-masked]> wrote:
> 
> > +[--] <path>...::
> > +       For each _<path>_ given, the commit which last modified it is returned.
> > +       Without an optional path parameter, all files and subdirectories
> > +       in path traversal the are included in the output.
> 
> s/the are included/are included/
> 
> > +static void last_modified_release(struct last_modified *lm)
> 
> I think these days we tend to name those functions using "clear"
> instead of "release"

It actually depends: if the structure can be immediately reused
afterwards without requiring another reinit it would be caller "clear"
indeed. On the other hand, if we only release memory it's "release".

I think this function here falls into the latter category, so it's
correctly named.

Patrick